Bug 251233 - net/freerdp: drop unused dependencies after r538228
Summary: net/freerdp: drop unused dependencies after r538228
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Jan Beich
URL:
Keywords: regression
Depends on:
Blocks:
 
Reported: 2020-11-18 06:38 UTC by Jan Beich
Modified: 2020-11-30 12:53 UTC (History)
1 user (show)

See Also:


Attachments
v1 (1.28 KB, patch)
2020-11-18 06:38 UTC, Jan Beich
kevans: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2020-11-18 06:38:19 UTC
Created attachment 219787 [details]
v1

See https://github.com/FreeRDP/FreeRDP/commit/0927d7aa50c7
cmake/Find{DbusGlib,UDev,UUID}.cmake are garbage not connected to the build.

Runtime tested on Wayland by connecting to Windows 10 system. dbus, dbus-glib and libuuid are *not* installed.

poudriere does *not* report any changes to the following:

  =>> Checking shared library dependencies
   0x0000000000000001 NEEDED               Shared library: [libX11.so.6]
   0x0000000000000001 NEEDED               Shared library: [libXcursor.so.1]
   0x0000000000000001 NEEDED               Shared library: [libXext.so.6]
   0x0000000000000001 NEEDED               Shared library: [libXfixes.so.3]
   0x0000000000000001 NEEDED               Shared library: [libXi.so.6]
   0x0000000000000001 NEEDED               Shared library: [libXinerama.so.1]
   0x0000000000000001 NEEDED               Shared library: [libXrandr.so.2]
   0x0000000000000001 NEEDED               Shared library: [libXrender.so.1]
   0x0000000000000001 NEEDED               Shared library: [libXv.so.1]
   0x0000000000000001 NEEDED               Shared library: [libc.so.7]
   0x0000000000000001 NEEDED               Shared library: [libcrypto.so.111]
   0x0000000000000001 NEEDED               Shared library: [libcups.so.2]
   0x0000000000000001 NEEDED               Shared library: [libepoll-shim.so.0]
   0x0000000000000001 NEEDED               Shared library: [libexecinfo.so.1]
   0x0000000000000001 NEEDED               Shared library: [libfreerdp-client2.so.2]
   0x0000000000000001 NEEDED               Shared library: [libfreerdp2.so.2]
   0x0000000000000001 NEEDED               Shared library: [libicui18n.so.68]
   0x0000000000000001 NEEDED               Shared library: [libicuio.so.68]
   0x0000000000000001 NEEDED               Shared library: [libicuuc.so.68]
   0x0000000000000001 NEEDED               Shared library: [libm.so.5]
   0x0000000000000001 NEEDED               Shared library: [librt.so.1]
   0x0000000000000001 NEEDED               Shared library: [libssl.so.111]
   0x0000000000000001 NEEDED               Shared library: [libthr.so.3]
   0x0000000000000001 NEEDED               Shared library: [libusb.so.3]
   0x0000000000000001 NEEDED               Shared library: [libuwac0.so.0]
   0x0000000000000001 NEEDED               Shared library: [libwayland-client.so.0]
   0x0000000000000001 NEEDED               Shared library: [libwayland-cursor.so.0]
   0x0000000000000001 NEEDED               Shared library: [libwinpr-tools2.so.2]
   0x0000000000000001 NEEDED               Shared library: [libwinpr2.so.2]
   0x0000000000000001 NEEDED               Shared library: [libxkbcommon.so.0]
   0x0000000000000001 NEEDED               Shared library: [libxkbfile.so.1]
Comment 1 Jan Beich freebsd_committer 2020-11-26 00:44:39 UTC
I plan to land this per maintainer timeout around 2020-12-02.
Comment 2 Kyle Evans freebsd_committer 2020-11-26 00:48:41 UTC
Comment on attachment 219787 [details]
v1

Whoops, sorry, missed the initial email there. Go for it, LGTM.
Comment 3 commit-hook freebsd_committer 2020-11-26 00:55:18 UTC
A commit references this bug:

Author: jbeich
Date: Thu Nov 26 00:54:45 UTC 2020
New revision: 556318
URL: https://svnweb.freebsd.org/changeset/ports/556318

Log:
  net/freerdp: drop unused dependencies after r538228

  https://github.com/FreeRDP/FreeRDP/commit/0927d7aa50c7

  PR:		251233
  Approved by:	kevans (maintainer)
  MFH:		2020Q4

Changes:
  head/net/freerdp/Makefile
Comment 4 commit-hook freebsd_committer 2020-11-30 12:53:29 UTC
A commit references this bug:

Author: jbeich
Date: Mon Nov 30 12:52:44 UTC 2020
New revision: 556633
URL: https://svnweb.freebsd.org/changeset/ports/556633

Log:
  MFH: r556318

  net/freerdp: drop unused dependencies after r538228

  https://github.com/FreeRDP/FreeRDP/commit/0927d7aa50c7

  PR:		251233
  Approved by:	kevans (maintainer)
  Approved by:	ports-secteam (joneum)

Changes:
_U  branches/2020Q4/
  branches/2020Q4/net/freerdp/Makefile